<template>
  <section class="absolute w-full h-full">
    <div
      class="absolute top-0 w-full h-full bg-gray-900"
      style="background-size: 100%; background-repeat: no-repeat"
      :style="{
        'background-image':
          'url(' + require('../../assets/img/register_bg_2.png') + ')',
      }"
    ></div>
    <div class="container mx-auto px-4 h-full">
      <div class="flex content-center items-center justify-center h-full">
        <div class="w-full lg:w-4/12 px-4">
          <div
            class="relative flex flex-col min-w-0 break-words w-full mb-6 shadow-lg rounded-lg bg-gray-300 border-0"
          >
            <div class="flex-auto px-4 lg:px-10 py-10 pt-5">
              <form>
                <div class="relative w-full mb-3">
                  <label
                    class="block uppercase text-gray-700 text-xs font-bold mb-2"
                    for="grid-password"
                    >Email</label
                  ><input
                    type="email"
                    class="px-3 py-3 placeholder-gray-400 text-gray-700 bg-white rounded text-sm shadow focus:outline-none focus:shadow-outline w-full"
                    placeholder="Email"
                    style="transition: all 0.15s ease 0s"
                  />
                </div>
                <div class="relative w-full mb-3">
                  <label
                    class="block uppercase text-gray-700 text-xs font-bold mb-2"
                    for="grid-password"
                    >Password</label
                  ><input
                    type="password"
                    class="px-3 py-3 placeholder-gray-400 text-gray-700 bg-white rounded text-sm shadow focus:outline-none focus:shadow-outline w-full"
                    placeholder="Password"
                    style="transition: all 0.15s ease 0s"
                  />
                </div>
                <div>
                  <label class="inline-flex items-center cursor-pointer"
                    ><input
                      id="customCheckLogin"
                      type="checkbox"
                      class="form-checkbox text-gray-800 ml-1 w-5 h-5"
                      style="transition: all 0.15s ease 0s"
                    /><span class="ml-2 text-sm font-semibold text-gray-700"
                      >Remember me</span
                    ></label
                  >
                </div>
                <div class="text-center mt-6">
                  <button
                    class="bg-gray-900 text-white active:bg-gray-700 text-sm font-bold uppercase px-6 py-3 rounded shadow hover:shadow-lg outline-none focus:outline-none mr-1 mb-1 w-full"
                    type="button"
                    style="transition: all 0.15s ease 0s"
                    @click="login"
                  >
                    Sign In
                  </button>

                  <button
                    class="bg-gray-900 text-white active:bg-gray-700 text-sm font-bold uppercase px-6 py-3 rounded shadow hover:shadow-lg outline-none focus:outline-none mr-1 mb-1 w-full"
                    type="button"
                    style="transition: all 0.15s ease 0s"
                    @click="user"
                  >
                    User
                  </button>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
    <footer-component></footer-component>
  </section>
</template>

<script lang="ts">
import FooterComponent from './Footer.vue';
import { useStore } from '@/store';
import { AppAction } from '@/store/User/UserModule';

export default {
  name: 'login-page',
  components: {
    'footer-component': FooterComponent,
  },
  setup() {
    const store = useStore();

    function login(): void {
      store.dispatch(AppAction.GetUser);
    }

    function user(): void {
      const test = store.getters.user;

      console.log(test);
    }

    return { login, user };
  },
};
</script>
